### A free/open-source library for quantitative finance

Public Member Functions
AnalyticContinuousGeometricAveragePriceAsianEngine Class Reference
Asian option engines

Pricing engine for European continuous geometric average price Asian. More...

`#include <ql/pricingengines/asian/analytic_cont_geom_av_price.hpp>`

Inheritance diagram for AnalyticContinuousGeometricAveragePriceAsianEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticContinuousGeometricAveragePriceAsianEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const

## Detailed Description

Pricing engine for European continuous geometric average price Asian.

This class implements a continuous geometric average price Asian option with European exercise. The formula is from "Option Pricing Formulas", E. G. Haug (1997) pag 96-97.

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature, and results obtained using a discrete average approximation.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.

Possible enhancements:
  handle seasoned options